Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class ClassFileMember

    java.lang.Object
      com.sun.squawk.ClassFileMember

Direct Known Subclasses:
  ClassFileField, ClassFileMethod

    public abstract class ClassFileMember

extends Object

An instance of `ClassFileMember` encapsulates all the common symbolic information of a field or method declaration in a class file. This class is provided for a subsystem (such as the translator) that loads a class definition from a class file.

Method Summary
`String` | `getFullyQualifiedName(Klass definingClass)` Gets the fully qualified name of this field or method.
`int` | `getModifiers()` Gets the modifiers of this field or method.
`String` | `getName()` Gets the name of this field or method.
`boolean` | `isStatic()` Determines if this field or method is a staic member of its class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public final String getName()

  Gets the name of this field or method.

  Returns:
    the name of this field or method

### getFullyQualifiedName

    public final String getFullyQualifiedName(Klass definingClass)

  Gets the fully qualified name of this field or method.

  Parameters:
    `definingClass` - the class in which this field or method was defined
  Returns:
    the fully qualified name of this field or method

### getModifiers

    public final int getModifiers()

  Gets the modifiers of this field or method.

  Returns:
    a mask of the constants defined in `Modifier`

### isStatic

    public final boolean isStatic()

  Determines if this field or method is a staic member of its class.

  Returns:
    true if this is a staric class member

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"